diff --git a/protocol/rank/rank.proto b/protocol/rank/rank.proto
index f879d5d..2793184 100644
--- a/protocol/rank/rank.proto
+++ b/protocol/rank/rank.proto
@@ -22,6 +22,9 @@ enum Rank{
   //等级榜
   PACKET_RANK_CSLevel = 10010;
   PACKET_RANK_SCLevel = 10011;
+  //赛季通行证排行榜
+  PACKET_RANK_CSPermit = 10012;
+  PACKET_RANK_SCPermit = 10013;
 }
 
 // 排位榜
@@ -181,4 +184,27 @@ message SCPlayerLevelRank{
   PlayerLevelRankInfo Me = 2; // 玩家自己的排行信息
   int32 Skip = 3; // 页数
   int32 Limit = 4; // 每页数量
+}
+
+//PACKET_RANK_CSPermit
+message CSPermit{
+  int32 Skip = 1; // 偏移量
+  int32 Limit = 2; // 请求数量
+}
+
+message PermitRank {
+  int32 Snid = 1; // 玩家id
+  string Name = 2; // 昵称
+  int32 Rank = 3;//段位排名
+  int64 Score = 4; // 积分
+  int32 ModId = 5; // 头像模型
+}
+
+// PACKET_RANK_SCPermit
+message SCPermit{
+  repeated PermitRank Ranks = 1; // 排行榜
+  PermitRank Me = 2; // 玩家自己的排行信息
+  int32 Skip = 3; // 偏移量
+  bool  IsEndNum = 4;
+  int32 RankMaxNum = 5; // 排行榜最大上限
 }
\ No newline at end of file
diff --git a/protocol/server/pbdata.proto b/protocol/server/pbdata.proto
index ac4ed32..9a7caab 100644
--- a/protocol/server/pbdata.proto
+++ b/protocol/server/pbdata.proto
@@ -1237,6 +1237,22 @@ message DB_NewPlayerArray {
     repeated DB_NewPlayer Arr = 1;
 }
 
+message DB_PassShow {
+
+	int32 Id = 1;
+
+	int32 ShowType = 2;
+
+	int32 ShowVolume = 3;
+
+	int32 Location = 4;
+
+}
+
+message DB_PassShowArray {
+    repeated DB_PassShow Arr = 1;
+}
+
 message DB_PetSkill {
 
 	int32 Id = 1;
diff --git a/protocol/task/task.proto b/protocol/task/task.proto
index 4246c53..2f7f359 100644
--- a/protocol/task/task.proto
+++ b/protocol/task/task.proto
@@ -44,14 +44,15 @@ message SCTaskList{
 // 领取任务奖励
 // PACKET_CSTaskReward
 message CSTaskReward{
-		int32 Tp = 1; // 任务类型 1:日常任务 2:周活跃任务 3:新手任务 4:邀请任务 5:成就系统
-    int32 Id = 2; // 任务id
+		int32 Tp = 1; // 任务类型 1:日常任务 2:周活跃任务 3:新手任务 4:邀请任务 5:成就系统 6:赛季通行证任务
+    int32 Id = 2; // 任务id; 0 表示一键领取
 }
 // PACKET_SCTaskReward
 message SCTaskReward{
 	OpResultCode OpCode = 1; // 操作码
 	int32 Tp = 2; // 任务类型
 	int32 Id = 3; // 任务id
+	map<int64, int64> Reward = 5; // 奖励
 }
 
 // 任务变更通知
diff --git a/protocol/webapi/common.proto b/protocol/webapi/common.proto
index 75557ca..dff6a97 100644
--- a/protocol/webapi/common.proto
+++ b/protocol/webapi/common.proto
@@ -685,4 +685,47 @@ message ActInviteConfig {
   repeated RankAward Awards1 = 6; // 周榜奖励列表
   repeated RankAward Awards2 = 7; // 周榜奖励列表
   repeated RankAward Awards3 = 8; // 周榜奖励列表
+}
+
+// 等级奖励
+message PermitLevelConfig{
+  int32 Rank = 1; // 等级
+  int64 Score = 2; // 积分
+  repeated ItemInfo Award1 = 3; // 普通奖励
+  repeated ItemInfo Award2 = 4; // 典藏奖励
+}
+
+// 兑换配置
+message PermitExchangeConfig{
+  int32 Id = 1; // 商品id
+  int32 SortId = 2; // 排序序号
+  repeated ItemInfo Gain = 3; // 获得商品
+  repeated ItemInfo Cost = 4; // 消耗
+  bool IsPermit = 5; // 是否需要典藏通行证
+  int64 Level = 6; // 达到等级
+  int64 Times = 7; // 最大兑换次数
+  bool IsShow = 8; // 开关，true 开启， false 关闭
+}
+
+// 排行配置
+message PermitRankConfig{
+  int32 Start = 1; // 开始排名；第一名为0
+  int32 End = 2; // 结束排名
+  repeated ItemInfo ItemId = 3; // 奖励
+}
+
+message PermitChannelConfig{
+  string Channel = 1; // 渠道
+  repeated PermitLevelConfig LevelConfig = 2; // 等级奖励
+  repeated PermitExchangeConfig ExchangeConfig = 3; // 兑换配置
+  repeated PermitRankConfig RankConfig = 4; // 排行配置
+}
+
+// etcd /game/act_permit
+message ActPermitConfig{
+  string Platform = 1; // 平台
+  int64 StartTs = 2; // 开始日期
+  int32 Days = 3; // 持续天数
+  repeated string OnChannelName = 4;  // 开启渠道
+  repeated PermitChannelConfig Configs = 5; // 渠道配置
 }
\ No newline at end of file
diff --git a/protocol/welfare/welfare.proto b/protocol/welfare/welfare.proto
index 6388dac..cf33814 100644
--- a/protocol/welfare/welfare.proto
+++ b/protocol/welfare/welfare.proto
@@ -60,8 +60,18 @@ enum SPacketID {
   PACKET_CSDiamondBankGetInfo = 2914;	//钻石存钱罐信息获取
   PACKET_SCDiamondBankGetInfo = 2915;	//钻石存钱罐信息返回
   PACKET_SCDiamondBankTakeDiamond = 2916;	//钻石存钱罐领取返回
-  
-  
+
+  PACKET_CSPermitInfo = 2917;// 通行证奖励
+  PACKET_SCPermitInfo = 2918;// 通行证奖励
+
+  PACKET_CSPermitExchangeList = 2919; // 通行证兑换列表
+  PACKET_SCPermitExchangeList = 2920; // 通行证兑换列表
+
+  PACKET_CSPermitAward = 2921; // 领取通行证奖励
+  PACKET_SCPermitAward = 2922; // 领取通行证奖励
+
+  PACKET_CSPermitExchange = 2923; // 通行证兑换
+  PACKET_SCPermitExchange = 2924; // 通行证兑换
 }
 
 //救济金领取
@@ -376,4 +386,96 @@ message SCDiamondBankTakeDiamond{
   int64 Price = 6;	//原价
   int64 NowPrice = 7;	//现价
   int32 ShopId = 8;	//商城ID
+}
+
+// 赛季通行证信息
+//PACKET_CSPermitInfo
+message CSPermitInfo{
+}
+
+message PropInfo{
+  int32 ItemId = 1;//物品ID
+  int64 ItemNum = 2;//物品数量
+}
+
+message PropItem{
+  repeated PropInfo Award = 1; // 奖励
+  int64 Status = 2; // 奖励状态 0默认 1可领取 2已领取
+  int32 Id = 3; // 奖励id; 领奖时使用
+}
+
+message PermitAward{
+  int64 Exp = 1; // 赛季经验
+  int64 Level = 2; // 等级
+  PropItem Award1 = 3; // 普通奖励
+  PropItem Award2 = 4; // 典藏奖励
+}
+
+message PermitShow{
+  int32 ShowType = 1; // 类型
+  int32 ShowVolume = 2; // id
+  int32 Location = 3; // 跳转界面
+}
+
+message PermitRankAward{
+  int32 Start = 1; // 开始排名；第一名为0
+  int32 End = 2; // 结束排名
+  repeated PropInfo ItemId = 3; // 奖励
+}
+
+//PACKET_SCPermitInfo
+message SCPermitInfo{
+  int64 Exp = 1; // 玩家赛季经验
+  int64 Level = 2; // 玩家等级
+  repeated PermitAward Award = 3; // 奖励列表
+  repeated int64 Timestamp = 4; // 赛季开始和结束时间戳 [开始时间戳，结束时间戳]
+  repeated PermitShow ShowList = 5; // 展示列表
+  bool IsPermit = 6; // 是否已购买典藏通行证
+  repeated PermitRankAward RankAward = 7; // 排行榜奖励
+}
+
+// 领取赛季通行证奖励
+//PACKET_CSPermitAward
+message CSPermitAward{
+  int32 Tp = 1; // 0奖励 1普通奖励 2典藏奖励
+  int32 Id = 2; // 奖励id; 0：一键领取
+}
+//PACKET_SCPermitAward
+message SCPermitAward{
+  OpResultCode OpRetCode = 1;  // 错误码
+  repeated PropInfo Award1 = 2; // 普通奖励
+  repeated PropInfo Award2 = 3; // 典藏奖励
+  int32 Id = 4; // 奖励id; 0：一键领取
+  int32 Tp = 5; // 0奖励 1普通奖励 2典藏奖励
+}
+
+// 赛季通行证兑换商城
+//PACKET_CSPermitExchangeList
+message CSPermitExchangeList{
+}
+
+message ShopInfo{
+  int32 Id = 1; // 商品id
+  repeated PropInfo Gain = 2; // 获得商品
+  repeated PropInfo Cost = 3; // 消耗商品
+  int32 ExchangeTimes = 4; // 最大兑换次数
+  int32 RemainTimes = 5; // 剩余兑换次数
+  int64 Status = 6; // 兑换状态 0默认 1可领取 2已领取
+  int64 Level = 7; // 兑换所需等级
+  bool NeedPermit = 8; // 需要典藏通行证
+}
+
+//PACKET_SCPermitExchangeList
+message SCPermitExchangeList{
+  repeated ShopInfo List = 1; // 兑换列表
+}
+
+// 赛季通行证商城兑换
+//PACKET_CSPermitExchange
+message CSPermitExchange{
+  int32 Id = 1; // 商品id
+}
+//PACKET_SCPermitExchange
+message SCPermitExchange{
+  OpResultCode OpRetCode = 1;  // 错误码
 }
\ No newline at end of file
